<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>First Vue</title>
    <script src="https://unpkg.com/vue@3"></script>
</head>
<body>

    <div id="app">
        
        <button @click="changeMessage">Go</button>
        
        {{ message }}
    
        <input type="text" v-model="inputValue">
        <p>{{inputValue}}</p>
        <p style="color:red" v-if="isInvalid()">
            Text not long enough. 5 character required.
        </p>
    </div>
    
    <script>
      Vue.createApp({
        data() {
          return {
            message: 'Autre chose',
            inputValue: 'value'
          }
        },
        methods: {
            changeMessage() {
                this.message = 'truc';               
            },
            isInvalid() {
                if(this.inputValue.length < 5) {
                    return true;
                }
                return false;
            }
        }
      }).mount('#app')
    </script>
</body>
</html> 